ch.qos.logback.core.rolling.helper

## Class DefaultArchiveRemover

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.rolling.helper.DefaultArchiveRemover

All Implemented Interfaces:
  ArchiveRemover, ContextAware

Direct Known Subclasses:
  SizeAndTimeBasedArchiveRemover, TimeBasedArchiveRemover

    public abstract class DefaultArchiveRemover
    extends ContextAwareBase
    implements ArchiveRemover

### Field Summary

Fields
`protected static long` `INACTIVITY_TOLERANCE_IN_MILLIS`
`protected static long` `UNINITIALIZED`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`DefaultArchiveRemover(FileNamePattern fileNamePattern, RollingCalendar rc)`

### Method Summary

Methods
`void` `clean(java.util.Date now)`
`void` `setMaxHistory(int maxHistory)`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Field Detail

#### UNINITIALIZED

    protected static final long UNINITIALIZED

See Also:
  Constant Field Values

#### INACTIVITY_TOLERANCE_IN_MILLIS

    protected static final long INACTIVITY_TOLERANCE_IN_MILLIS

See Also:
  Constant Field Values

### Constructor Detail

#### DefaultArchiveRemover

    public DefaultArchiveRemover(FileNamePattern fileNamePattern,
                         RollingCalendar rc)

### Method Detail

#### clean

    public void clean(java.util.Date now)

Specified by:
  `clean` in interface `ArchiveRemover`

#### setMaxHistory

    public void setMaxHistory(int maxHistory)

Specified by:
  `setMaxHistory` in interface `ArchiveRemover`